<!doctype html>
<!--
Filename: <?php echo basename(get_page_template()) . PHP_EOL; ?>
Author: Den Isahac
Author URI: https://github.com/denisahac
-->

<!--[if lt IE 7]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8 lt-ie7"><![endif]-->
<!--[if (IE 7)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8"><![endif]-->
<!--[if (IE 8)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9"><![endif]-->
<!--[if gt IE 8]><!--> <html <?php language_attributes(); ?> class="no-js"><!--<![endif]-->

	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">

		<title><?php wp_title('|'); ?></title>

		<?php // mobile meta (hooray!) ?>
		<meta name="HandheldFriendly" content="True">
		<meta name="MobileOptimized" content="320">
		<meta name="viewport" content="width=device-width, initial-scale=1"/>

		<?php // icons & favicons (for more: http://www.jonathantneal.com/blog/understand-the-favicon/) ?>
		<link rel="apple-touch-icon" href="<?php echo get_template_directory_uri(); ?>/library/images/logo-black.png">
		<link rel="icon" href="<?php echo get_template_directory_uri(); ?>/library/images/logo-black.png">
		<!--[if IE]>
			<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/library/images/favicon.ico">
		<![endif]-->
		<?php // or, set favicon.ico for IE10 win ?>
		<meta name="msapplication-TileColor" content="#fefefe">
		<meta name="msapplication-TileImage" content="<?php echo get_template_directory_uri(); ?>/library/images/logo-black.png">
    <meta name="theme-color" content="#09090d">

		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">

		<?php wp_head(); ?>

		<?php // drop Google Analytics Here ?>
		<?php // end analytics ?>

	</head>

	<body <?php body_class(); ?> data-site-name="<?php bloginfo('name'); ?>" data-site-description="<?php bloginfo('description'); ?>" itemscope itemtype="http://schema.org/LocalBusiness">

    <!--
    HEADS UP!
    Elements with class '.hide' are used for SEO specially on the headings (i.e. h1, h2, ..., h6).
    Though they're not visible in the browser, please do not delete any of them inside this HTML page.
    This is to form a table of contents like a book has.
    You can check how the page is structured using HTML5 Outliner; available for Google Chrome as an extension.
    -->

    <!-- Loading overlay -->
    <div class="loading js-loading">
      <div class="loading__inner js-loading__inner">
        <div class="spinner"></div>
      </div>
    </div> <!-- end of: Loading overloy -->

    <!-- #container -->
		<div id="container">
      <!-- Header -->
			<header class="header-home" itemscope itemtype="http://schema.org/WPHeader">
        <!-- #inner-header -->
				<div id="inner-header">
					<hgroup class="hide">
						<h1 itemprop="name"><a href="<?php echo home_url(); ?>" rel="nofollow"><?php bloginfo('name'); ?></a></h1>
						<h2><?php bloginfo('description'); ?></h2>
					</hgroup>

					<div class="row">
						<div class="large-12 column">
							<!-- Top Bar -->
							<div class="top-bar">
								<nav role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
									<h2 class="hide"><?php _e('Main Navigation', 'kalabera'); ?></h2>

									<span data-responsive-toggle="responsive-menu" data-hide-for="medium">
							      <button class="menu-icon" type="button" data-toggle="responsive-menu"></button>
							    </span>

									<!-- Centered menu -->
									<div id="responsive-menu" class="menu-centered" data-toggler data-animate="fade-in fade-out">
										<?php wp_nav_menu(array(
											'container' => false,                         // remove nav container
											'container_class' => 'header-links',					// class of container (should you choose to use it)
											'menu' => __( 'The Main Menu', 'kalabera' ),  // nav name
											'menu_class' => 'menu menu--main menu--home',            // adding custom nav class
											'theme_location' => 'main-nav',               // where it's located in the theme
											'before' => '',                               // before the menu
											'after' => '',                                // after the menu
											'link_before' => '',                          // before each link
											'link_after' => '',                           // after each link
											'depth' => 0,                                 // limit the depth of the nav
											'fallback_cb' => '',                           // fallback function (if there is one)
											'items_wrap' => '<ul class="%2$s" data-dropdown-menu>%3$s</ul>',
											'walker' => new My_Walker_Nav_Menu()
										)); ?>
									</div> <!-- end of: Centered menu -->
								</nav>
							</div> <!-- end of: Top Bar -->
						</div>
					</div>
				</div> <!-- end of: #inner-header -->
			</header> <!-- end of: Header -->

			<!-- Other language options -->
			<nav class="lang-switcher lang-switcher--home" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
				<h2 class="hide"><?php _e('Other Language', 'kalabera'); ?></h2>
				<ul class="menu dropdown" data-dropdown-menu><?php kalabera_language_switcher(); ?></ul>
			</nav><!-- end of: Other language options -->
