<?php get_header(); // Header ?>
<!-- #content -->
<div id="content">
	<!-- #inner-content -->
	<div id="inner-content">
		<!-- #main -->
		<main id="main" role="main" itemscope itemtype="http://schema.org/FoodEstablishment">

			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

      <!-- Map -->
			<?php
			// ACF options page
			$locations = [];
			if(have_rows('store_locations', 'option')) {
				while(have_rows('store_locations', 'option')) {
					the_row();
					// ACF (again!)
					$store_location = get_sub_field('store_location');
					$locations[] = $store_location; // add entry to the array
				}
			}
			?>
      <section itemscope itemtype="http://schema.org/Map">
        <header>
          <h2 class="hide"><?php _e('Map', 'kalabera'); ?></h2>
        </header>
				<!-- Google Map script -->
				<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/library/js/google-map.min.js" async></script>
				<script type="text/javascript">
						window.onload = function() {
							loadMap('<?php echo GOOGLE_API_KEY; ?>', <?php echo json_encode($locations); ?>);
						}
				</script>
				<!-- end of: Google Map script -->

				<!-- Drawing canvas -->
				<div id="map-canvas" class="banner"></div>
				<!-- end of: Drawing canvas -->

				<!-- Map marker -->
				<span id="map-marker" data-src="<?php bloginfo('stylesheet_directory'); ?>/library/images/map-marker.png"></span> <!-- end of: Map marker -->

				<!-- Map config -->
				<span id="map-config" data-src="<?php bloginfo('stylesheet_directory'); ?>/library/js/lib/google-map.config.json"></span> <!-- end of: Map config -->
      </section> <!-- end of: Map -->

			<article id="post-<?php the_ID(); ?>" <?php post_class( 'section' ); ?>>
				<header class="section__header">
					<div class="row">
						<div class="large-12 column">
							<h2 class="section__title wow fadeInUp"><?php the_title(); ?></h2>
						</div>
					</div>
				</header>

				<div class="row">
					<div class="large-6 medium-6 column">
						<div class="wow fadeInUp">
							<?php the_content(); ?>
						</div>
					</div>

					<div class="large-6 medium-6 column">
						<div class="wow fadeInUp">
							<?php the_field('content_2'); ?>
						</div>
					</div>
				</div>
			</article>

			<?php endwhile; else : ?>

				<?php get_template_part('broken'); ?>

			<?php endif; ?>

		</main> <!-- end of: #main -->


	</div> <!-- end of: #inner-content -->

</div> <!-- end of: #content -->

<?php get_footer(); // Footer ?>
