<?php get_header(); // Header ?>
<!-- #content -->
<div id="content">
	<!-- #inner-content -->
	<div id="inner-content">
		<!-- #main -->
		<main id="main" role="main" itemscope itemprop="mainContentOfPage" itemtype="http://schema.org/Blog">

			<?php if (have_posts()) : while (have_posts()) : the_post();
        // ACF
        // Introduction
        $introduction_link_name = get_field('introduction_link_name');
        $introduction_image = get_field('introduction_image');
        $introduction_content = get_field('introduction_content');
        // Rice to Saké
        $rice_to_sake_link_name = get_field('rice_to_sake_link_name');
        $rice_to_sake_image = get_field('rice_to_sake_image');
        $rice_to_sake_content = get_field('rice_to_sake_content');
        // History
        $history_link_name = get_field('history_link_name');
        // Elaboration
        $elaboration_link_name = get_field('elaboration_link_name');
				$elaboration_title = get_field('elaboration_title'); ?>

        <?php funasaka_banner(); // Main banner ?>

        <article id="post-<?php the_ID(); ?>" <?php post_class('section'); ?>>
          <header class="section__header">
            <div class="row">
              <div class="large-8 large-centered column text-center">
                <?php the_title('<h2 class="section__title wow fadeInUp">', '</h2>'); ?>

                <div class="wow fadeInUp"><?php the_content(); ?></div>

		            <div class="menu-centered menu-inner-wrapper js-menu-inner-wrapper wow fadeInUp">
		              <ul class="menu menu--inner" data-magellan>
		                <li>
		                  <a href="#introduction"><?php echo esc_attr($introduction_link_name); ?></a>
											<span class="menu__separator">|</span>
		                </li>
		                <li>
		                  <a href="#rice-to-sake"><?php echo esc_attr($rice_to_sake_link_name); ?></a>
											<span class="menu__separator">|</span>
		                </li>
		                <li>
		                  <a href="#history"><?php echo esc_attr($history_link_name); ?></a>
											<span class="menu__separator">|</span>
		                </li>
		                <li>
		                  <a href="#elaboration"><?php echo esc_attr($elaboration_link_name); ?></a>
		                </li>
		              </ul>
		            </div>
              </div>
            </div>
          </header>

          <!-- Introduction -->
          <article id="introduction" class="section section--inner" data-magellan-target="introduction">
            <header>
              <h3 class="hide"><?php echo esc_attr($introduction_link_name); ?></h3>
            </header>

            <div class="row">
							<div class="large-7 large-push-5 column">
								<div class="section--inner__image">
									<a class="wow fadeIn"
										href="<?php echo esc_url($introduction_image); ?>"
										title="<?php echo esc_attr($introduction_link_name); ?>"
										data-wow-duration='1.5s'
										data-lightbox="introduction"
										data-title="<?php echo esc_attr($introduction_link_name); ?>"
										style="background-image: url(<?php echo esc_url($introduction_image)?>); ">
										<img src="<?php echo esc_url($introduction_image); ?>" alt="<?php echo esc_attr($introduction_link_name); ?>"/>
									</a>
								</div>
							</div>

              <div class="large-5 large-pull-7 column">
                <div class="section--inner__content font-manus wow fadeInUp">
                  <?php echo $introduction_content; ?>
                </div>
              </div>
            </div>
          </article> <!-- end of: Introduction -->

          <!-- Rice to Saké -->
          <article id="rice-to-sake" class="section section--inner" data-magellan-target="rice-to-sake">
            <div class="row" data-equalizer data-equalize-on="large">
              <div class="large-6 column">
                <div class="section--inner__image" data-equalizer-watch>
									<a class="wow fadeIn"
									 	href="<?php echo esc_url($rice_to_sake_image); ?>"
										title="<?php echo esc_attr($rice_to_sake_link_name); ?>"
										data-wow-duration="1.5s"
										data-lightbox="rice-to-sake"
										data-title="<?php echo esc_attr($rice_to_sake_link_name); ?>"
										style="background-image: url(<?php echo esc_url($rice_to_sake_image); ?>); ">
                  	<img src="<?php echo esc_url($rice_to_sake_image); ?>"
											alt="<?php echo esc_attr($rice_to_sake_link_name); ?>"/>
									</a>
                </div>
              </div>

              <div class="large-6 column">
                <div class="section--inner__content wow fadeInUp" data-equalizer-watch>
                  <?php echo $rice_to_sake_content; ?>
                </div>
              </div>
            </div>
          </article> <!-- end of: Rice to Saké -->

          <!-- History -->
          <article id="history" class="section section--alternate" data-magellan-target="history">
            <header>
              <h3 class="hide"><?php echo esc_attr($history_link_name); ?></h3>
            </header>

            <?php // ACF (again!)
            $history = 'history';

            if(have_rows($history)) : ?>
						<div class="row carousel-wrapper">
							<!-- Previous arrow -->
							<a class="arrow arrow--prev js-arrow--prev" href="#" title="<?php _e('Previous', 'kalabera'); ?>"></a> <!-- end of: Previous arrow -->
							<div class="owl-carousel js-carousel">
							<?php while(have_rows($history)) :
                the_row();
                // ACF (again2x!)
                $history_year = get_sub_field('history_year');
                $history_description = get_sub_field('history_description');
                ?>

								<div class="large-12 column">
								<article class="history">
									<h3 class="history__year h4 wow fadeInUp"><?php echo esc_attr($history_year); ?></h3>

									<div class="history__description wow fadeInUp">
										<?php echo $history_description; ?>
									</div>
								</article>
							</div>
							<?php endwhile; ?>
							</div>
							<!-- Next arrow -->
							<a class="arrow arrow--next js-arrow--next" href="#" title="<?php _e('Next', 'kalabera'); ?>"></a> <!-- end of: Next arrow -->
							</div>
            <?php endif; ?>
          </article> <!-- end of: History -->

					<!-- Elaboration -->
					<article id="elaboration" class="section" data-magellan-target="elaboration">
						<header class="section__header">
							<div class="row">
								<div class="large-12 column text-center">
									<h2 class="section__title wow fadeInUp">
										<?php if($elaboration_title) :
											echo esc_attr($elaboration_title);
										else :
											echo esc_attr($elaboration_link_name);
										endif; ?>
									</h2>
								</div>
							</div>
						</header>

						<?php // ACF (again!)
						$elaborations = 'elaborations';

						if(have_rows($elaborations)) :
						$counter = 0; ?>
						<div class="row" data-equalizer data-equalize-on="medium">
							<?php while(have_rows($elaborations)) :
							the_row();
							$counter++;
							// ACF (again2x!)
							$elaboration_step_image = get_sub_field('elaboration_step_image');
							$elaboration_step_title = get_sub_field('elaboration_step_title');
							$elaboration_step_description = get_sub_field('elaboration_step_description'); ?>
							<div class="large-3 medium-6 column" data-equalizer-watch>
								<article class="step">
									<a class="step__link wow fadeIn"
										href="<?php echo esc_url($elaboration_step_image); ?>"
										title="<?php echo esc_attr($elaboration_step_title); ?>"
										data-wow-duration="1.5s"
										data-lightbox="elaboration"
										data-title="<?php echo esc_attr($elaboration_step_title); ?>"
										style="background-image: url(<?php echo esc_url($elaboration_step_image); ?>); ">
										<img src="<?php echo esc_url($elaboration_step_image); ?>" alt="<?php echo esc_attr($elaboration_step_title); ?>">
									</a>
									<h4 class="step__title wow fadeInUp"><small><?php printf(__('%s.', 'kalabera'), $counter); ?></small> <?php echo esc_attr($elaboration_step_title); ?></h4>

									<div class="step__description wow fadeInUp">
										<?php echo $elaboration_step_description; ?>
									</div>
								</article>
							</div>
							<?php endwhile; ?>
						</div>
						<?php endif; ?>
					</article>
        </article>
			<?php endwhile;  else: ?>

				<?php get_template_part('broken'); ?>

			<?php endif; ?>

		</main> <!-- end of: #main -->

	</div> <!-- end of: #inner-content -->

</div> <!-- 3nd of: #content -->

<?php get_footer(); // Footer ?>
