<?php get_header(); // Header ?>
<!-- #content -->
<div id="content">
	<!-- #inner-content -->
	<div id="inner-content">
		<!-- #main -->
		<main id="main" role="main" itemscope itemprop="mainContentOfPage" itemtype="http://schema.org/Blog">

			<?php if (have_posts()) : while (have_posts()) : the_post();
			$banner_section_class = ' section--wo-banner ';
			if(has_post_thumbnail()) {
				$banner_section_class = '';
				funasaka_banner();
			} ?>

			<article id="post-<?php the_ID(); ?>" <?php post_class( 'section article' . $banner_section_class); ?> role="article" itemscope itemtype="http://schema.org/BlogPosting">

				<header class="section__header">
					<div class="row">
						<div class="large-12 column">
							<h2 class="section__title article__title wow fadeInUp"><?php the_title(); ?></h2>

							<p class="article__meta label wow fadeInUp">
								<?php printf( __( 'Posted <i class="dashicons dashicons-calendar"></i> <time class="article__datetime" datetime="%1$s" itemprop="datePublished">%2$s</time>', 'kalabera' ), get_the_time('Y-m-j'), get_the_time(get_option('date_format'))); ?>
							</p>
						</div>
					</div>
				</header>

				<div class="row">
					<div class="large-12 column">
						<div class="wow fadeIn">
							<?php
								// the content (pretty self explanatory huh)
								the_content();

								/*
								 * Link Pages is used in case you have posts that are set to break into
								 * multiple pages. You can remove this if you don't plan on doing that.
								 *
								 * Also, breaking content up into multiple pages is a horrible experience,
								 * so don't do it. While there are SOME edge cases where this is useful, it's
								 * mostly used for people to get more ad views. It's up to you but if you want
								 * to do it, you're wrong and I hate you. (Ok, I still love you but just not as much)
								 *
								 * http://gizmodo.com/5841121/google-wants-to-help-you-avoid-stupid-annoying-multiple-page-articles
								 *
								*/
								wp_link_pages( array(
									'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'kalabera' ) . '</span>',
									'after'       => '</div>',
									'link_before' => '<span>',
									'link_after'  => '</span>',
								) );
							?>
						</div>
					</div>
				</div>
			</article>

			<?php endwhile; else: ?>

				<?php get_template_part('broken'); ?>

			<?php endif; ?>

		</main> <!-- end of: #main -->

	</div> <!-- end of: #inner-content -->

</div> <!-- 3nd of: #content -->

<?php get_footer(); // Footer ?>
