<?php
/*
 * Template Name: Store Template
 *
 * This template is for Bar, Restaurant, and Boutique pages.
 * Full window height banner rotating image.
 *
 * For more info: http://codex.wordpress.org/Page_Templates
*/
?>

<?php get_header(); // Header ?>
<!-- #content -->
<div id="content">
	<!-- #inner-content -->
	<div id="inner-content">
		<!-- #main -->
		<main id="main" role="main" itemscope itemtype="http://schema.org/FoodEstablishment">

			<?php if (have_posts()) : while (have_posts()) : the_post();
			$featured_images = [];
			if(has_post_thumbnail()) {
				$featured_images[] = wp_get_attachment_url(get_post_thumbnail_id());
			}

			if( class_exists('Dynamic_Featured_Image') ) {
	     	global $dynamic_featured_image;
	     	$dynamic_featured_images = $dynamic_featured_image->get_featured_images();

				foreach ($dynamic_featured_images as $dynamic_featured_image) {
					$featured_images[] = $dynamic_featured_image['full'];
				}
		 	}

			if(count($featured_images) > 0) {
			?>
			<section>
				<h2 class="hide"><?php _e('Main Banner', 'kalabera'); ?></h2>
				<div class="owl-carousel js-banner">
				<?php foreach ($featured_images as $featured_image) { ?>
					<div class="banner"
					style="background-image: url(<?php echo esc_url($featured_image); ?>);"
					data-stellar-ratio="0.6">
					</div>
				<?php } ?>
				</div>
			</section>
			<?php } ?>


			<article id="post-<?php the_ID(); ?>" <?php post_class( 'section' ); ?>>
				<div class="row">
					<div class="large-5 medium-6 column">
						<header class="section__header">
							<h2 class="section__title wow fadeInUp"><?php the_title(); ?></h2>
						</header>

						<div class="wow fadeInUp"><?php the_content(); ?></div>

						<br/>
						<p class="wow fadeInUp"><?php printf('<a class="button secondary" href="%1$s" target="_blank" title="%2$s">%2$s</a>', get_field('Location'), __('See on Google Maps', 'kalabera')); ?></p>
					</div>

					<div class="large-6 medium-6 column">
						<a class="wow fadeIn"
							href="<?php the_field('photo'); ?>"
							title="<?php the_title_attribute(); ?>"
							data-wow-duration="1.5s"
							data-lightbox="store-photo"
							data-title="<?php the_title_attribute(); ?>"
							style="background-image: url(<?php the_field('photo'); ?>);">
							<img src="<?php the_field('photo'); ?>" alt="<?php the_title_attribute(); ?>">
						</a>
					</div>
				</div>
			</article>

			<?php endwhile; else : ?>

				<?php get_template_part('broken'); ?>

			<?php endif; ?>

		</main> <!-- end of: #main -->
	</div> <!-- end of: #inner-content -->

</div> <!-- end of: #content -->

<?php get_footer(); // Footer ?>
