<?php
/**
** A base module for [textarea] and [textarea*]
**/

/* Validation filter */

// remove Contact Form7 default textarea validation filters
remove_filter('wpcf7_validate_textarea', 'wpcf7_textarea_validation_filter');
remove_filter('wpcf7_validate_textarea*', 'wpcf7_textarea_validation_filter');

add_filter( 'wpcf7_validate_textarea', 'kalabera_textarea_validation_filter', 10, 2 );
add_filter( 'wpcf7_validate_textarea*', 'kalabera_textarea_validation_filter', 10, 2 );

function kalabera_textarea_validation_filter( $result, $tag ) {
  $tag = new WPCF7_Shortcode( $tag );

  $type = $tag->type;
  $name = $tag->name;

  $value = isset( $_POST[$name] ) ? (string) $_POST[$name] : '';

  // for textarea named message
  if($tag->is_required() && '' == $value && 'message' == $name) {
      $result->invalidate($tag, __('Message is required.', 'kalabera'));
  }
        
  if ( $tag->is_required() && '' == $value ) {
    $result->invalidate( $tag, wpcf7_get_message( 'invalid_required' ) );
  }

  if ( ! empty( $value ) ) {
    $maxlength = $tag->get_maxlength_option();
    $minlength = $tag->get_minlength_option();

    if ( $maxlength && $minlength && $maxlength < $minlength ) {
      $maxlength = $minlength = null;
    }

    $code_units = wpcf7_count_code_units( $value );

    if ( false !== $code_units ) {
      if ( $maxlength && $maxlength < $code_units ) {
        $result->invalidate( $tag, wpcf7_get_message( 'invalid_too_long' ) );
      } elseif ( $minlength && $code_units < $minlength ) {
        $result->invalidate( $tag, wpcf7_get_message( 'invalid_too_short' ) );
      }
    }
  }

  return $result;
}

